<?php

namespace gchart;
class gQRCode extends gChart
{

    function __construct($width = 150, $height = 150)
    {
        $this->setDimensions($width, $height);
        $this->setProperty('cht','qr');
    }

    public function setQRCode($QRCode)
    {
        $this->setProperty('chl', urlencode($QRCode));
    }
    
    public function setOutputEncoding($newOutputEncoding)
    {
        $this->setProperty('choe', $newOutputEncoding);
    }
    
    public function setErrorCorrectionLevel($newErrorCorrectionLevel, $newMargin)
    {
        $this->setProperty('chld', $newErrorCorrectionLevel.'|'.$newMargin);
    }
}?>
